Subject: Re: bug#21203: 24.5; about-emacs makes emacs freeze on windows 8.1

From: Pablo Mercader Alcántara <[email-masked]>
Date: Tue, 24 Nov 2015 16:42:12 -0400

Ok, I'm sorry again for all the time waiting, didn't do the research until now.

It seems that the problem is neither emacs nor my libraries, it seems
that its a problem with my environment variables PATH and Cygwin, and
GTKSharp 2.12. I tried to start emacs in different settings, from
cygwin, from the windows command prompt, with different PATHs values
and I 've got some interesting things to share:

Executing emacs from the windows command prompt directly (has GTKSharp
on the PATH variable):
  - emacs-about doesn't work
  - the version says: GNU Emacs 24.5.1 (i686-pc-mingw32) (had to run
it with -nw to see it)
  - M-: (image-type-available-p 'svg) = t
  - M-: (image-type-available-p 'png) = nil
  - M-: (image-type-available-p 'xpm) = t

>From the windows command prompt, using a bat file to set the value of
the variable PATH to the same value it had in the previous experiment:
  - emacs-about works, displays svg image
  - the version says: GNU Emacs 24.5.1 (i686-pc-mingw32)
  - M-: (image-type-available-p 'svg) = t
  - M-: (image-type-available-p 'png) = nil
  - M-: (image-type-available-p 'xpm) = t

>From cygwin, using the envoirment as it comes:
  - emacs-about works, displays png image
  - the version says: GNU Emacs 24.5.1 (x86_64-unknown-cygwin)
  - M-: (image-type-available-p 'svg) = nil
  - M-: (image-type-available-p 'png) = t
  - M-: (image-type-available-p 'xpm) = t

By the way, emacs is 32 bits and cygwin is 64 bits, I have cygwin's
emacs installed also, I thing that this could be the problem too. So
the emacs environment its being polluted by cygwin, or somethin like
that

Now I'm pretty sure that this is not an GNU Emacs bug, so I think that
this report can be closed here. And now I know what I can do to avoid
the error. Any way I'll still try to find the real cause for this
problem.

Thanks for your help!

2015-10-02 11:14 GMT-04:00 Pablo Mercader Alcántara <[email-masked]>:
> Sorry, I don't have new info right now, haven't tried your last
> recomendations, but the bug is still there. I'll try to make the
> research this weekend.
>
> Please excuse me!
>
> 2015-09-30 3:49 GMT-04:00 Eli Zaretskii <[email-masked]>:
>> Ping!  Any new information on this?  Should the bug be closed?
>>
>> Thanks.
>>
>>> Date: Fri, 14 Aug 2015 09:48:33 +0300
>>> From: Eli Zaretskii <[email-masked]>
>>> Cc: [email-masked]
>>>
>>> > Date: Thu, 13 Aug 2015 17:06:19 -0400
>>> > From: Pablo Mercader Alcántara <[email-masked]>
>>> >
>>> > >   emacs -q --eval "(setq fancy-splash-image \"splash.xpm\")"
>>> > >
>>> > > and then try invoking 'about-emacs'.  If Emacs still hangs, my guess
>>> > > was wrong, and the image libraries are probably not your problem.
>>> >
>>> > This works! so the problem is the image library ...
>>>
>>> This also means that the XPM library is OK.
>>>
>>> > >   M-: (image-type-available-p 'svg)
>>> > t
>>> > >   M-: (image-type-available-p 'png)
>>> > nil
>>>
>>> This is very strange, since librsvg, the library needed for SVG
>>> support, comes with PNG support libraries.  Which is just one more
>>> evidence, IMO, that the problems you have are due to librsvg.
>>>
>>> So I suggest to find where that librsvg lives, download and install
>>> librsvg from this site:
>>>
>>>   http://sourceforge.net/projects/ezwinports/files/librsvg-2.40.1-2-w32-bin.zip/download
>>>
>>> and then install that downloaded librsvg in a place that Emacs will
>>> find before the other librsvg you already have.  Some alternatives for
>>> achieving the latter:
>>>
>>>   . Put the DLL files from the above zip archive in the same directory
>>>     where you have emacs.exe
>>>   . Rearrange PATH such that the directory where you have the DLLs
>>>     from the above zip archive is found before the other librsvg
>>>   . Uninstall the librsvg you have now
>>>
>>> > When I execute "emacs.exe" instead of "runemacs.exe" I get 2 windows,
>>> > a windows console window and in the fore ground the emacs for windows
>>> > window. When I execute the "about-emacs" in this window the console
>>> > shows an error message that says this:
>>> >
>>> > (emacs.exe:7528): Glib-GObject-CRITICAL **: gtype.c:2712: You forgot
>>> > to call gtype_init()
>>> >
>>> > (emacs.exe:7528): Glib-CRITICAL **: g_once_init_leave: assertion
>>> > `initialization_value != 0' failed
>>>
>>> These come from glib, a library which is required by librsvg.  I think
>>> this is part of your problem: something is wrong with that librsvg, at
>>> least when it is invoked from the native Windows Emacs.  Do you know
>>> where did you get that librsvg?
>>>
>>>
>>>
>>>